





      SUBROUTINE TBLOB2                                                 TBLOB2 8

c

      implicit real*8 (a-h,o-z)

c

C     TEMPERATURE PERTURBATION MODEL                                    TBLOB2 9

C     MULTIPLICATIVE PERTURBATION WITH EXPONENTIALLY DECAYING           TBLOB210

C     EFFECT IN ALL THREE DIRECTIONS. GIVE LATITUDE                     TBLOB211

C     INSTEAD OF CO-LATITUDE.                                           TBLOB212

C     COMMON DECK "CONST" INSERTED HERE                                 CCONST 2

      COMMON/PCONST/CREF,RGAS,GAMMA                                     CCONST 4

      COMMON/MCONST/PI,PIT2,PID2,DEGS,RAD,ALN10                         CCONST 5

C     COMMON DECK "RKAM" INSERTED HERE                                  RKAMCOM2

      REAL*8 KR,KTH,KPH                                                 RKAMCOM4

      COMMON//R,TH,PH,KR,KTH,KPH,RKVARS(14),TPULSE,CSTEP,DRDT(20)       RKAMCOM5

C     COMMON DECK "B6" INSERTED HERE                                    CB6    2

      real*8 dtgp

      INTEGER DTMX,DTNTBL,DTITBL,DTFRMTB,IDSDT(20)                      CB6    4

      COMMON/B6/DTMX,DTNTBL(10),DTITBL(10),DTFRMTB(10),DTGP(10)         CB6    5

      EQUIVALENCE (DTGP,IDSDT)                                          CB6    6

C                                                                       TBLOB216

C     COMMON DECK "TT" INSERTED HERE                                    CTT    2

      real*8 modt

c     REAL MODT                                                         CTT    4

      COMMON/TT/MODT(4), T,PTT,PTR,PTTH,PTPH                            CTT    5

C     COMMON DECK "WW" INSERTED HERE                                    CWW    2

      PARAMETER (NWARSZ=1000)                                           CWW1   3

      real*8 id

      COMMON/WW/ID(10),MAXW,W(NWARSZ)                                   CWW1   4

      REAL*8 MAXSTP,MAXERR,INTYP,LLAT,LLON                              CWW2   2

      EQUIVALENCE (EARTHR,W(1)),(RAY,W(2)),(XMTRH,W(3)),(TLAT,W(4)),    CWW2   3

     1 (TLON,W(5)),(OW,W(6)),(FBEG,W(7)),(FEND,W(8)),(FSTEP,W(9)),      CWW2   4

     2 (AZ1,W(10)),(AZBEG,W(11)),(AZEND,W(12)),(AZSTEP,W(13)),          CWW2   5

     3 (BETA,W(14)),(ELBEG,W(15)),(ELEND,W(16)),(ELSTEP,W(17)),         CWW2   6

     8 (RCVRH,W(20)),                                                   CWW2   7

     4 (ONLY,W(21)),(HOP,W(22)),(MAXSTP,W(23)),(PLAT,W(24)),(PLON,W(25))CWW2   8

     5,(HMAX,W(26)),(RAYFNC,W(29)),(EXTINC,W(33)),                      CWW2   9

     6 (HMIN,W(27)),(RGMAX,W(28)),                                      CWW2  10

     8 (INTYP,W(41)),(MAXERR,W(42)),(ERATIO,W(43)),                     CWW2  11

     6 (STEP1,W(44)),(STPMAX,W(45)),(STPMIN,W(46)),(FACTR,W(47)),       CWW2  12

     7 (SKIP,W(71)),(RAYSET,W(72)),(PRTSRP,W(74)),(HITLET,W(75))        CWW2  13

     9 ,(BINRAY,W(76)),(PAGLN,W(77)),(PLT,W(81)),(PFACTR,W(82)),        CWW2  14

     1 (LLAT,W(83)),(LLON,W(84)),(RLAT,W(85)),(RLON,W(86))              CWW2  15

     2,(TIC,W(87)),(HB,W(88)),(HT,W(89)),(TICV,W(96))                   CWW2  16

      REAL*8 MMODEL,MFORM,MID                                           CWW3   2

C                                                                       CWW3   3

C     WIND        100-124                                               CWW3   4

      EQUIVALENCE (W(100),UMODEL),(W(101),UFORM),(W(102),UID)           CWW3   5

C                                                                       CWW3   6

C     DELTA WIND        125-149                                         CWW3   7

      EQUIVALENCE (W(125),DUMODEL),(W(126),DUFORM),(W(127),DUID)        CWW3   8

C                                                                       CWW3   9

C     SOUND SPEED 150-174                                               CWW3  10

      EQUIVALENCE (W(150),CMODEL),(W(151),CFORM),(W(152),CID)           CWW3  11

      EQUIVALENCE (W(153),REFC)                                         CWW3  12

C                                                                       CWW3  13

C     DELTA SOUND SPEED 175-199                                         CWW3  14

      EQUIVALENCE (W(175),DCMODEL),(W(176),DCFORM),(W(177),DCID)        CWW3  15

C                                                                       CWW3  16

C     TEMPERATURE    200-224                                            CWW3  17

      EQUIVALENCE (W(200),TMODEL),(W(201),TFORM),(W(202),TID)           CWW3  18

C                                                                       CWW3  19

C     DELTA TEMPERATURE    225-249                                      CWW3  20

      EQUIVALENCE (W(225),DTMODEL),(W(226),DTFORM),(W(227),DTID)        CWW3  21

C                                                                       CWW3  22

C     MOLECULAR   250-274                                               CWW3  23

      EQUIVALENCE (W(250),MMODEL),(W(251),MFORM),(W(252),MID)           CWW3  24

C                                                                       CWW3  25

C     RECEIVER HEIGHT   275-299                                         CWW3  26

      EQUIVALENCE (W(275),RMODEL),(W(276),RFORM),(W(277),RID)           CWW3  27

C                                                                       CWW3  28

C     TOPOGRAPHY   300-324                                              CWW3  29

      EQUIVALENCE (W(300),GMODEL),(W(301),GFORM),(W(302),GID)           CWW3  30

C                                                                       CWW3  31

C     DELTA TOPOGRAPHY   325-349                                        CWW3  32

      EQUIVALENCE (W(325),GUMODEL),(W(326),GUFORM),(W(327),GUID)        CWW3  33

C                                                                       CWW3  34

C     UPPER SURFACE TOPOGRAPHY   350-374                                CWW3  35

      EQUIVALENCE (W(350),SMODEL),(W(351),SFORM),(W(352),SID)           CWW3  36

C     PLOT ENHANCEMENTS CONTROL PARAMETERS                              CWW3  37

C                                                                       CWW3  38

      EQUIVALENCE (W(490),XFQMDL),(W(491),YFQMDL)                       CWW3  39

C     ABSORPTION        500-524                                         CWW3  40

      EQUIVALENCE (W(500),AMODEL),(W(501),AFORM),(W(502),AID)           CWW3  41

C                                                                       CWW3  42

C     DELTA ABSORPTION        525-549                                   CWW3  43

      EQUIVALENCE (W(525),DAMODEL),(W(526),DAFORM),(W(527),DAID)        CWW3  44

C                                                                       CWW3  45

C     PRESSURE        550-574                                           CWW3  46

      EQUIVALENCE (W(550),PMODEL),(W(551),PFORM),(W(552),PID)           CWW3  47

C                                                                       CWW3  48

C     DELTA PRESSURE        575-599                                     CWW3  49

      EQUIVALENCE (W(575),DPMODEL),(W(576),DPFORM),(W(577),DPID)        CWW3  50

C                                                                       CWW3  51

C                                                                       TBLOB219

      EQUIVALENCE (C0,W(228)), (Z0,W(229)),(TBTH0,W(230))               TBLOB220

      EQUIVALENCE (PH0,W(231)),(WZ,W(232)),(WTH,W(233)),(WPH,W(234))    TBLOB221

C                                                                       TBLOB222

      DATA RECOGDT/2.0/                                                 TBLOB223

C                                                                       TBLOB226

      ENTRY IPTEMP                                                      TBLOB227

      IF(RECOGDT .NE. DTMODEL)                                          TBLOB228

     1    CALL RERROR('DTEMP  ','WRNG MODEL',RECOGDT)                   TBLOB229

C                                                                       TBLOB230

C                                                                       TBLOB231

      MODT(3)=6HTBLOB2                                                  TBLOB232

      MODT(4)=DTID                                                      TBLOB233

C                                                                       TBLOB234

      FWZ=0.0                                                           TBLOB235

      FWTH=0.0                                                          TBLOB236

      FWPH=0.0                                                          TBLOB237

      TH0= PID2-TBTH0                                                   TBLOB238

      IF(WZ.NE.0.0) FWZ=2.0/WZ/WZ                                       TBLOB239

      IF(WTH.NE.0.0) FWTH=2.0/WTH/WTH                                   TBLOB240

      IF(WPH.NE.0.0) FWPH=2.0/WPH/WPH                                   TBLOB241

      RETURN                                                            TBLOB242

C                                                                       TBLOB243

      ENTRY PTEMP                                                       TBLOB244

C                                                                       TBLOB245

      IF(C0.EQ.0.0) RETURN                                              TBLOB246

C                                                                       TBLOB247

      DZ=R-EARTHR-Z0                                                    TBLOB248

      DTH=TH-TH0                                                        TBLOB249

      DPH=PH-PH0                                                        TBLOB250

      DEXPO=0.0                                                         TBLOB251

      EXPO=-0.5*(DZ*DZ*FWZ+DTH*DTH*FWTH+DPH*DPH*FWPH)                   TBLOB252

      IF(EXPO .GT. -200.0) DEXPO=C0*DEXP(EXPO)                          TBLOB253

      DEL=1.0+DEXPO                                                     TBLOB254

C                                                                       TBLOB255

      PTR=PTR*DEL-T*DEXPO*FWZ*DZ                                        TBLOB256

      PTTH=PTTH*DEL-T*DEXPO*FWTH*DTH                                    TBLOB257

      PTPH=PTPH*DEL-T*DEXPO*FWPH*DPH                                    TBLOB258

      T=T*DEL                                                           TBLOB259

      RETURN                                                            TBLOB260

      END                                                               TBLOB261











      SUBROUTINE MOLCON                                                 MCONST 8

c

      implicit real*8 (a-h,o-z)

c

C     CONSTANT MOLECULAR WEIGHT MODEL                                   MCONST 9

C     COMMON DECK "WW" INSERTED HERE                                    CWW    2

      PARAMETER (NWARSZ=1000)                                           CWW1   3

      real*8 id

      COMMON/WW/ID(10),MAXW,W(NWARSZ)                                   CWW1   4

      REAL*8 MAXSTP,MAXERR,INTYP,LLAT,LLON                              CWW2   2

      EQUIVALENCE (EARTHR,W(1)),(RAY,W(2)),(XMTRH,W(3)),(TLAT,W(4)),    CWW2   3

     1 (TLON,W(5)),(OW,W(6)),(FBEG,W(7)),(FEND,W(8)),(FSTEP,W(9)),      CWW2   4

     2 (AZ1,W(10)),(AZBEG,W(11)),(AZEND,W(12)),(AZSTEP,W(13)),          CWW2   5

     3 (BETA,W(14)),(ELBEG,W(15)),(ELEND,W(16)),(ELSTEP,W(17)),         CWW2   6

     8 (RCVRH,W(20)),                                                   CWW2   7

     4 (ONLY,W(21)),(HOP,W(22)),(MAXSTP,W(23)),(PLAT,W(24)),(PLON,W(25))CWW2   8

     5,(HMAX,W(26)),(RAYFNC,W(29)),(EXTINC,W(33)),                      CWW2   9

     6 (HMIN,W(27)),(RGMAX,W(28)),                                      CWW2  10

     8 (INTYP,W(41)),(MAXERR,W(42)),(ERATIO,W(43)),                     CWW2  11

     6 (STEP1,W(44)),(STPMAX,W(45)),(STPMIN,W(46)),(FACTR,W(47)),       CWW2  12

     7 (SKIP,W(71)),(RAYSET,W(72)),(PRTSRP,W(74)),(HITLET,W(75))        CWW2  13

     9 ,(BINRAY,W(76)),(PAGLN,W(77)),(PLT,W(81)),(PFACTR,W(82)),        CWW2  14

     1 (LLAT,W(83)),(LLON,W(84)),(RLAT,W(85)),(RLON,W(86))              CWW2  15

     2,(TIC,W(87)),(HB,W(88)),(HT,W(89)),(TICV,W(96))                   CWW2  16

      REAL*8 MMODEL,MFORM,MID                                           CWW3   2

C                                                                       CWW3   3

C     WIND        100-124                                               CWW3   4

      EQUIVALENCE (W(100),UMODEL),(W(101),UFORM),(W(102),UID)           CWW3   5

C                                                                       CWW3   6

C     DELTA WIND        125-149                                         CWW3   7

      EQUIVALENCE (W(125),DUMODEL),(W(126),DUFORM),(W(127),DUID)        CWW3   8

C                                                                       CWW3   9

C     SOUND SPEED 150-174                                               CWW3  10

      EQUIVALENCE (W(150),CMODEL),(W(151),CFORM),(W(152),CID)           CWW3  11

      EQUIVALENCE (W(153),REFC)                                         CWW3  12

C                                                                       CWW3  13

C     DELTA SOUND SPEED 175-199                                         CWW3  14

      EQUIVALENCE (W(175),DCMODEL),(W(176),DCFORM),(W(177),DCID)        CWW3  15

C                                                                       CWW3  16

C     TEMPERATURE    200-224                                            CWW3  17

      EQUIVALENCE (W(200),TMODEL),(W(201),TFORM),(W(202),TID)           CWW3  18

C                                                                       CWW3  19

C     DELTA TEMPERATURE    225-249                                      CWW3  20

      EQUIVALENCE (W(225),DTMODEL),(W(226),DTFORM),(W(227),DTID)        CWW3  21

C                                                                       CWW3  22

C     MOLECULAR   250-274                                               CWW3  23

      EQUIVALENCE (W(250),MMODEL),(W(251),MFORM),(W(252),MID)           CWW3  24

C                                                                       CWW3  25

C     RECEIVER HEIGHT   275-299                                         CWW3  26

      EQUIVALENCE (W(275),RMODEL),(W(276),RFORM),(W(277),RID)           CWW3  27

C                                                                       CWW3  28

C     TOPOGRAPHY   300-324                                              CWW3  29

      EQUIVALENCE (W(300),GMODEL),(W(301),GFORM),(W(302),GID)           CWW3  30

C                                                                       CWW3  31

C     DELTA TOPOGRAPHY   325-349                                        CWW3  32

      EQUIVALENCE (W(325),GUMODEL),(W(326),GUFORM),(W(327),GUID)        CWW3  33

C                                                                       CWW3  34

C     UPPER SURFACE TOPOGRAPHY   350-374                                CWW3  35

      EQUIVALENCE (W(350),SMODEL),(W(351),SFORM),(W(352),SID)           CWW3  36

C     PLOT ENHANCEMENTS CONTROL PARAMETERS                              CWW3  37

C                                                                       CWW3  38

      EQUIVALENCE (W(490),XFQMDL),(W(491),YFQMDL)                       CWW3  39

C     ABSORPTION        500-524                                         CWW3  40

      EQUIVALENCE (W(500),AMODEL),(W(501),AFORM),(W(502),AID)           CWW3  41

C                                                                       CWW3  42

C     DELTA ABSORPTION        525-549                                   CWW3  43

      EQUIVALENCE (W(525),DAMODEL),(W(526),DAFORM),(W(527),DAID)        CWW3  44

C                                                                       CWW3  45

C     PRESSURE        550-574                                           CWW3  46

      EQUIVALENCE (W(550),PMODEL),(W(551),PFORM),(W(552),PID)           CWW3  47

C                                                                       CWW3  48

C     DELTA PRESSURE        575-599                                     CWW3  49

      EQUIVALENCE (W(575),DPMODEL),(W(576),DPFORM),(W(577),DPID)        CWW3  50

C                                                                       CWW3  51

C     COMMON DECK "MM" INSERTED HERE                                    CMM    2

      REAL*8 M,MODM                                                     CMM    4

      COMMON/MM/MODM(4),M,PMT,PMR,PMTH,PMPH                             CMM    5

      REAL*8  MLCNST                                                    MCONST12

      EQUIVALENCE (W(253),MLCNST)                                       MCONST13

C     COMMON DECK "B7" INSERTED HERE                                    CB7    2

      real*8 mgp

      INTEGER MMX,MNTBL,MITBL,MFRMTBL,IDSM(20)                          CB7    4

c     REAL MGP                                                          CB7    5

      COMMON/B7/MMX,MNTBL(10),MITBL(10),MFRMTBL(10),MGP(10)             CB7    6

      EQUIVALENCE (MGP,IDSM)                                            CB7    7

      DATA RECOGM/1.0/                                                  MCONST15

C                                                                       MCONST18

      ENTRY IMOLWT                                                      MCONST19

C                                                                       MCONST20

      IF(RECOGM .NE. MMODEL)                                            MCONST21

     1    CALL RERROR('IMOLWT ','WRNG MODEL',RECOGM)                    MCONST22

C                                                                       MCONST23

      MODM(1)=6HMCONST                                                  MCONST24

      MODM(2)=MID                                                       MCONST25

C                                                                       MCONST26

      RETURN                                                            MCONST27

C                                                                       MCONST28

      ENTRY MOLWT                                                       MCONST29

      M=MLCNST                                                          MCONST30

      CALL CLEAR(PMT,4)                                                 MCONST31

      END                                                               MCONST32











      SUBROUTINE GLORENZ                                                GLORENZ8

c

      implicit real*8 (a-h,o-z)

c

C     TERRAIN MODEL USING LORENZIAN SHAPED HORIZONTAL SURFACE LOCATED A GLORENZ9

C     ARBITRARY GEOGRAPHICAL LOCATION.                                  GLOREN10

C                                                                       GLOREN11

C     COMMON DECK "CONST" INSERTED HERE                                 CCONST 2

      COMMON/PCONST/CREF,RGAS,GAMMA                                     CCONST 4

      COMMON/MCONST/PI,PIT2,PID2,DEGS,RAD,ALN10                         CCONST 5

C     COMMON DECK "B9" INSERTED HERE                                    CB8    2

      real*8 ggp,ang

      INTEGER GMX,GNTBL,GITBL,GFRMTBL,IDSG(20)                          CB8    4

      COMMON/B9/GMX,GNTBL(10),GITBL(10),GFRMTBL(10),GGP(113)            CB8    5

      EQUIVALENCE (GGP,IDSG),(ANG,GGP(11))                              CB8    6

C     COMMON DECK "RKAM" INSERTED HERE                                  RKAMCOM2

      REAL*8 KR,KTH,KPH                                                 RKAMCOM4

      COMMON//R,TH,PH,KR,KTH,KPH,RKVARS(14),TPULSE,CSTEP,DRDT(20)       RKAMCOM5

C     COMMON DECK "GG" INSERTED HERE                                    CGG    2

      real*8 modg

c     REAL MODG                                                         CGG    4

      COMMON/GG/MODG(4)                                                 CGG    5

      COMMON/GG/G,PGR,PGRR,PGRTH,PGRPH                                  CGG    6

      COMMON/GG/PGTH,PGPH,PGTHTH,PGPHPH,PGTHPH,GSELECT,GTIME            CGG    7

C     COMMON DECK "B10" INSERTED HERE                                   CB9    2

      real*8 dggp

      INTEGER DGMX,DGNTBL,DGITBL,DGFRMTB,IDSDG(20)                      CB9    4

      COMMON/B10/DGMX,DGNTBL(10),DGITBL(10),DGFRMTB(10),DGGP(10)        CB9    5

      EQUIVALENCE (DGGP,IDSDG)                                          CB9    6

C     COMMON DECK "WW" INSERTED HERE                                    CWW    2

      PARAMETER (NWARSZ=1000)                                           CWW1   3

      real*8 id

      COMMON/WW/ID(10),MAXW,W(NWARSZ)                                   CWW1   4

      REAL*8 MAXSTP,MAXERR,INTYP,LLAT,LLON                              CWW2   2

      EQUIVALENCE (EARTHR,W(1)),(RAY,W(2)),(XMTRH,W(3)),(TLAT,W(4)),    CWW2   3

     1 (TLON,W(5)),(OW,W(6)),(FBEG,W(7)),(FEND,W(8)),(FSTEP,W(9)),      CWW2   4

     2 (AZ1,W(10)),(AZBEG,W(11)),(AZEND,W(12)),(AZSTEP,W(13)),          CWW2   5

     3 (BETA,W(14)),(ELBEG,W(15)),(ELEND,W(16)),(ELSTEP,W(17)),         CWW2   6

     8 (RCVRH,W(20)),                                                   CWW2   7

     4 (ONLY,W(21)),(HOP,W(22)),(MAXSTP,W(23)),(PLAT,W(24)),(PLON,W(25))CWW2   8

     5,(HMAX,W(26)),(RAYFNC,W(29)),(EXTINC,W(33)),                      CWW2   9

     6 (HMIN,W(27)),(RGMAX,W(28)),                                      CWW2  10

     8 (INTYP,W(41)),(MAXERR,W(42)),(ERATIO,W(43)),                     CWW2  11

     6 (STEP1,W(44)),(STPMAX,W(45)),(STPMIN,W(46)),(FACTR,W(47)),       CWW2  12

     7 (SKIP,W(71)),(RAYSET,W(72)),(PRTSRP,W(74)),(HITLET,W(75))        CWW2  13

     9 ,(BINRAY,W(76)),(PAGLN,W(77)),(PLT,W(81)),(PFACTR,W(82)),        CWW2  14

     1 (LLAT,W(83)),(LLON,W(84)),(RLAT,W(85)),(RLON,W(86))              CWW2  15

     2,(TIC,W(87)),(HB,W(88)),(HT,W(89)),(TICV,W(96))                   CWW2  16

      REAL*8 MMODEL,MFORM,MID                                           CWW3   2

C                                                                       CWW3   3

C     WIND        100-124                                               CWW3   4

      EQUIVALENCE (W(100),UMODEL),(W(101),UFORM),(W(102),UID)           CWW3   5

C                                                                       CWW3   6

C     DELTA WIND        125-149                                         CWW3   7

      EQUIVALENCE (W(125),DUMODEL),(W(126),DUFORM),(W(127),DUID)        CWW3   8

C                                                                       CWW3   9

C     SOUND SPEED 150-174                                               CWW3  10

      EQUIVALENCE (W(150),CMODEL),(W(151),CFORM),(W(152),CID)           CWW3  11

      EQUIVALENCE (W(153),REFC)                                         CWW3  12

C                                                                       CWW3  13

C     DELTA SOUND SPEED 175-199                                         CWW3  14

      EQUIVALENCE (W(175),DCMODEL),(W(176),DCFORM),(W(177),DCID)        CWW3  15

C                                                                       CWW3  16

C     TEMPERATURE    200-224                                            CWW3  17

      EQUIVALENCE (W(200),TMODEL),(W(201),TFORM),(W(202),TID)           CWW3  18

C                                                                       CWW3  19

C     DELTA TEMPERATURE    225-249                                      CWW3  20

      EQUIVALENCE (W(225),DTMODEL),(W(226),DTFORM),(W(227),DTID)        CWW3  21

C                                                                       CWW3  22

C     MOLECULAR   250-274                                               CWW3  23

      EQUIVALENCE (W(250),MMODEL),(W(251),MFORM),(W(252),MID)           CWW3  24

C                                                                       CWW3  25

C     RECEIVER HEIGHT   275-299                                         CWW3  26

      EQUIVALENCE (W(275),RMODEL),(W(276),RFORM),(W(277),RID)           CWW3  27

C                                                                       CWW3  28

C     TOPOGRAPHY   300-324                                              CWW3  29

      EQUIVALENCE (W(300),GMODEL),(W(301),GFORM),(W(302),GID)           CWW3  30

C                                                                       CWW3  31

C     DELTA TOPOGRAPHY   325-349                                        CWW3  32

      EQUIVALENCE (W(325),GUMODEL),(W(326),GUFORM),(W(327),GUID)        CWW3  33

C                                                                       CWW3  34

C     UPPER SURFACE TOPOGRAPHY   350-374                                CWW3  35

      EQUIVALENCE (W(350),SMODEL),(W(351),SFORM),(W(352),SID)           CWW3  36

C     PLOT ENHANCEMENTS CONTROL PARAMETERS                              CWW3  37

C                                                                       CWW3  38

      EQUIVALENCE (W(490),XFQMDL),(W(491),YFQMDL)                       CWW3  39

C     ABSORPTION        500-524                                         CWW3  40

      EQUIVALENCE (W(500),AMODEL),(W(501),AFORM),(W(502),AID)           CWW3  41

C                                                                       CWW3  42

C     DELTA ABSORPTION        525-549                                   CWW3  43

      EQUIVALENCE (W(525),DAMODEL),(W(526),DAFORM),(W(527),DAID)        CWW3  44

C                                                                       CWW3  45

C     PRESSURE        550-574                                           CWW3  46

      EQUIVALENCE (W(550),PMODEL),(W(551),PFORM),(W(552),PID)           CWW3  47

C                                                                       CWW3  48

C     DELTA PRESSURE        575-599                                     CWW3  49

      EQUIVALENCE (W(575),DPMODEL),(W(576),DPFORM),(W(577),DPID)        CWW3  50

C                                                                       CWW3  51

      EQUIVALENCE (GCZAMP,W(303))                                       GLOREN18

      EQUIVALENCE (GCLAMZ,W(304)) ,(GCTHDL,W(305))                      GLOREN19

      EQUIVALENCE (GCBASE,W(306))                                       GLOREN20

C                                                                       GLOREN21

      DATA RECOGG/4.0/                                                  GLOREN22

C                                                                       GLOREN25

C                                                                       GLOREN26

      ENTRY ITOPOG                                                      GLOREN27

C                                                                       GLOREN28

      IF(RECOGG .NE. GMODEL)                                            GLOREN29

     1    CALL RERROR('GROUND ','WRNG MODEL',RECOGG)                    GLOREN30

      MODG(1)=7HGLORENZ                                                 GLOREN31

      MODG(2)=GID                                                       GLOREN32

C                                                                       GLOREN33

      GCTH0=PID2-GCLAMZ                                                 GLOREN34

      GCINV=1.0/GCTHDL                                                  GLOREN35

      CALL IPTOPOG                                                      GLOREN36

      RETURN                                                            GLOREN37

C                                                                       GLOREN38

      ENTRY TOPOG                                                       GLOREN39

C                                                                       GLOREN40

      CALL CLEAR(PGRTH,7)                                               GLOREN41

C                                                                       GLOREN42

      ETA=(TH-GCTH0)*GCINV                                              GLOREN43

      ETA2=ETA*ETA                                                      GLOREN44

      GBINOM=1.0/(1.0 + ETA2)                                           GLOREN45

      Z=GCZAMP*GBINOM                                                   GLOREN46

      G=R-EARTHR-Z-GCBASE                                               GLOREN47

C                                                                       GLOREN48

      PGR=1.0                                                           GLOREN49

      GBINOMB=GBINOM*GCINV                                              GLOREN50

      PGTH=2.0*Z*ETA*GBINOMB                                            GLOREN51

      PGTHTH=2.0*Z*GBINOMB*GBINOMB*(1.0-3.0*ETA2)                       GLOREN52

C                                                                       GLOREN53

      RETURN                                                            GLOREN54

      END                                                               GLOREN55











      SUBROUTINE NPTERR                                                 NPTERR 8

c

      implicit real*8 (a-h,o-z)

c

C    DO-NOTHING TERRAIN PERTURBATION MODEL                              NPTERR 9

C     COMMON DECK "GG" INSERTED HERE                                    CGG    2

      real*8 modg

c     REAL MODG                                                         CGG    4

      COMMON/GG/MODG(4)                                                 CGG    5

      COMMON/GG/G,PGR,PGRR,PGRTH,PGRPH                                  CGG    6

      COMMON/GG/PGTH,PGPH,PGTHTH,PGPHPH,PGTHPH,GSELECT,GTIME            CGG    7

C                                                                       NPTERR11

C     COMMON DECK "B10" INSERTED HERE                                   CB9    2

      real*8 dggp

      INTEGER DGMX,DGNTBL,DGITBL,DGFRMTB,IDSDG(20)                      CB9    4

      COMMON/B10/DGMX,DGNTBL(10),DGITBL(10),DGFRMTB(10),DGGP(10)        CB9    5

      EQUIVALENCE (DGGP,IDSDG)                                          CB9    6

C                                                                       NPTERR13

C                                                                       NPTERR16

      ENTRY IPTOPOG                                                     NPTERR17

C                                                                       NPTERR18

      MODG(3)=6HNPTERR                                                  NPTERR19

      ENTRY PTOPOG                                                      NPTERR20

      END                                                               NPTERR21











      SUBROUTINE MUARDC                                                 MUARDC 8

c

      implicit real*8 (a-h,o-z)

c

C     ARDC BACKGROUND ABSORPTION FORMULA                                MUARDC 9

C                                                                       MUARDC10

C     COMMON DECK "WW" INSERTED HERE                                    CWW    2

      PARAMETER (NWARSZ=1000)                                           CWW1   3

      real*8 id

      COMMON/WW/ID(10),MAXW,W(NWARSZ)                                   CWW1   4

      REAL*8 MAXSTP,MAXERR,INTYP,LLAT,LLON                              CWW2   2

      EQUIVALENCE (EARTHR,W(1)),(RAY,W(2)),(XMTRH,W(3)),(TLAT,W(4)),    CWW2   3

     1 (TLON,W(5)),(OW,W(6)),(FBEG,W(7)),(FEND,W(8)),(FSTEP,W(9)),      CWW2   4

     2 (AZ1,W(10)),(AZBEG,W(11)),(AZEND,W(12)),(AZSTEP,W(13)),          CWW2   5

     3 (BETA,W(14)),(ELBEG,W(15)),(ELEND,W(16)),(ELSTEP,W(17)),         CWW2   6

     8 (RCVRH,W(20)),                                                   CWW2   7

     4 (ONLY,W(21)),(HOP,W(22)),(MAXSTP,W(23)),(PLAT,W(24)),(PLON,W(25))CWW2   8

     5,(HMAX,W(26)),(RAYFNC,W(29)),(EXTINC,W(33)),                      CWW2   9

     6 (HMIN,W(27)),(RGMAX,W(28)),                                      CWW2  10

     8 (INTYP,W(41)),(MAXERR,W(42)),(ERATIO,W(43)),                     CWW2  11

     6 (STEP1,W(44)),(STPMAX,W(45)),(STPMIN,W(46)),(FACTR,W(47)),       CWW2  12

     7 (SKIP,W(71)),(RAYSET,W(72)),(PRTSRP,W(74)),(HITLET,W(75))        CWW2  13

     9 ,(BINRAY,W(76)),(PAGLN,W(77)),(PLT,W(81)),(PFACTR,W(82)),        CWW2  14

     1 (LLAT,W(83)),(LLON,W(84)),(RLAT,W(85)),(RLON,W(86))              CWW2  15

     2,(TIC,W(87)),(HB,W(88)),(HT,W(89)),(TICV,W(96))                   CWW2  16

      REAL*8 MMODEL,MFORM,MID                                           CWW3   2

C                                                                       CWW3   3

C     WIND        100-124                                               CWW3   4

      EQUIVALENCE (W(100),UMODEL),(W(101),UFORM),(W(102),UID)           CWW3   5

C                                                                       CWW3   6

C     DELTA WIND        125-149                                         CWW3   7

      EQUIVALENCE (W(125),DUMODEL),(W(126),DUFORM),(W(127),DUID)        CWW3   8

C                                                                       CWW3   9

C     SOUND SPEED 150-174                                               CWW3  10

      EQUIVALENCE (W(150),CMODEL),(W(151),CFORM),(W(152),CID)           CWW3  11

      EQUIVALENCE (W(153),REFC)                                         CWW3  12

C                                                                       CWW3  13

C     DELTA SOUND SPEED 175-199                                         CWW3  14

      EQUIVALENCE (W(175),DCMODEL),(W(176),DCFORM),(W(177),DCID)        CWW3  15

C                                                                       CWW3  16

C     TEMPERATURE    200-224                                            CWW3  17

      EQUIVALENCE (W(200),TMODEL),(W(201),TFORM),(W(202),TID)           CWW3  18

C                                                                       CWW3  19

C     DELTA TEMPERATURE    225-249                                      CWW3  20

      EQUIVALENCE (W(225),DTMODEL),(W(226),DTFORM),(W(227),DTID)        CWW3  21

C                                                                       CWW3  22

C     MOLECULAR   250-274                                               CWW3  23

      EQUIVALENCE (W(250),MMODEL),(W(251),MFORM),(W(252),MID)           CWW3  24

C                                                                       CWW3  25

C     RECEIVER HEIGHT   275-299                                         CWW3  26

      EQUIVALENCE (W(275),RMODEL),(W(276),RFORM),(W(277),RID)           CWW3  27

C                                                                       CWW3  28

C     TOPOGRAPHY   300-324                                              CWW3  29

      EQUIVALENCE (W(300),GMODEL),(W(301),GFORM),(W(302),GID)           CWW3  30

C                                                                       CWW3  31

C     DELTA TOPOGRAPHY   325-349                                        CWW3  32

      EQUIVALENCE (W(325),GUMODEL),(W(326),GUFORM),(W(327),GUID)        CWW3  33

C                                                                       CWW3  34

C     UPPER SURFACE TOPOGRAPHY   350-374                                CWW3  35

      EQUIVALENCE (W(350),SMODEL),(W(351),SFORM),(W(352),SID)           CWW3  36

C     PLOT ENHANCEMENTS CONTROL PARAMETERS                              CWW3  37

C                                                                       CWW3  38

      EQUIVALENCE (W(490),XFQMDL),(W(491),YFQMDL)                       CWW3  39

C     ABSORPTION        500-524                                         CWW3  40

      EQUIVALENCE (W(500),AMODEL),(W(501),AFORM),(W(502),AID)           CWW3  41

C                                                                       CWW3  42

C     DELTA ABSORPTION        525-549                                   CWW3  43

      EQUIVALENCE (W(525),DAMODEL),(W(526),DAFORM),(W(527),DAID)        CWW3  44

C                                                                       CWW3  45

C     PRESSURE        550-574                                           CWW3  46

      EQUIVALENCE (W(550),PMODEL),(W(551),PFORM),(W(552),PID)           CWW3  47

C                                                                       CWW3  48

C     DELTA PRESSURE        575-599                                     CWW3  49

      EQUIVALENCE (W(575),DPMODEL),(W(576),DPFORM),(W(577),DPID)        CWW3  50

C                                                                       CWW3  51

C                                                                       MUARDC12

      EQUIVALENCE (W(503),BETAV),(W(504),SUTH),(W(505),PRNDTL)          MUARDC13

C                                                                       MUARDC14

C     COMMON DECK "RINREAL" INSERTED HERE                               CRINREA2

      LOGICAL SPACE                                                     CRINREA4

      REAL*8 LPOLAR,LPOLRI,KPHK,KPHKI,KAY2,KAY2I                        CRINREA5

      CHARACTER DISPM*6                                                 CRINREA6

      COMMON/RINPL/DISPM                                                CRINREA7

      real*8 modrin

      COMMON /RIN/ MODRIN(8),RAYNAME(2,3),TYPE(3),SPACE                 CRINREA8

      COMMON/RIN/OMEGMIN,OMEGMAX,KAY2,KAY2I,                            CRINREA9

     1              H,HI,PHT,PHTI,PHR,PHRI,PHTH,PHTHI,PHPH,PHPHI        CRINRE10

     2, PHOW,PHOWI,PHKR,PHKRI,PHKTH,PHKTI, PHKPH,PHKPI                  CRINRE11

     3 ,KPHK,KPHKI,POLAR,POLARI,LPOLAR,LPOLRI,SGN                       CRINRE12

C     COMMON DECK "CONST" INSERTED HERE                                 CCONST 2

      COMMON/PCONST/CREF,RGAS,GAMMA                                     CCONST 4

      COMMON/MCONST/PI,PIT2,PID2,DEGS,RAD,ALN10                         CCONST 5

C     COMMON DECK "TT" INSERTED HERE                                    CTT    2

      real*8 modt

c     REAL MODT                                                         CTT    4

      COMMON/TT/MODT(4), T,PTT,PTR,PTTH,PTPH                            CTT    5

C     COMMON DECK "AA" INSERTED HERE                                    CAA    2

      real*8 moda

c     REAL MODA                                                         CAA    4

      REAL*8 MU,MUPT,MUPR,MUPTH,MUPPH                                   CAA    5

      REAL*8 KAP,KAPPT,KAPPR,KAPPTH,KAPPPH                              CAA    6

      COMMON/AA/MODA(4),MU,MUPT,MUPR,MUPTH,MUPPH                        CAA    7

      COMMON/AA/KAP,KAPPT,KAPPR,KAPPTH,KAPPPH                           CAA    8

C                                                                       MUARDC19

C     COMMON DECK "MM" INSERTED HERE                                    CMM    2

      REAL*8 M,MODM                                                     CMM    4

      COMMON/MM/MODM(4),M,PMT,PMR,PMTH,PMPH                             CMM    5

C                                                                       MUARDC21

C     COMMON DECK "CB17" INSERTED HERE                                  CB17   2

      real*8 vgp,anv

      INTEGER VMX,VNTBL,VITBL,VFRMTBL,IDSV(20)                          CB17   4

      COMMON/B17/VMX,VNTBL(10),VITBL(10),VFRMTBL(10),VGP(53)            CB17   5

      EQUIVALENCE (VGP,IDSV),(ANV,VGP(11))                              CB17   6

C                                                                       MUARDC23

      DATA RECOGA/1.0/                                                  MUARDC26

C                                                                       MUARDC27

      ENTRY IABSRP                                                      MUARDC28

      IF(RECOGA .NE. AMODEL)                                            MUARDC29

     1    CALL RERROR('ABSRP ','WRNG MODEL',RECOGA)                     MUARDC30

      MODA(1)=6HMUARDC                                                  MUARDC31

      MODA(2)=AID                                                       MUARDC32

C     SET ALL VICOSITY/CONDUCTIVITY VALUES TO ZERO                      MUARDC33

C     INITIALLY                                                         MUARDC34

      CALL CLEAR(MU,10)                                                 MUARDC35

      CALL IPABSRP                                                      MUARDC36

      RETURN                                                            MUARDC37

C                                                                       MUARDC38

      ENTRY ABSRP                                                       MUARDC39

      MU=BETAV*T**1.5/(SUTH+T)                                          MUARDC40

      KAP=GAMMA*RGAS*MU/((GAMMA-1.0)*M*PRNDTL)                          MUARDC41

      CALL PABSRP                                                       MUARDC42

      END                                                               MUARDC43











      SUBROUTINE NPABSR                                                 NPABSR 8

c

      implicit real*8 (a-h,o-z)

c

C     DO-NOTHING ABSORPTION PERTURBATION MODEL                          NPABSR 9

C     COMMON DECK "WW" INSERTED HERE                                    CWW    2

      PARAMETER (NWARSZ=1000)                                           CWW1   3

      real*8 id

      COMMON/WW/ID(10),MAXW,W(NWARSZ)                                   CWW1   4

      REAL*8 MAXSTP,MAXERR,INTYP,LLAT,LLON                              CWW2   2

      EQUIVALENCE (EARTHR,W(1)),(RAY,W(2)),(XMTRH,W(3)),(TLAT,W(4)),    CWW2   3

     1 (TLON,W(5)),(OW,W(6)),(FBEG,W(7)),(FEND,W(8)),(FSTEP,W(9)),      CWW2   4

     2 (AZ1,W(10)),(AZBEG,W(11)),(AZEND,W(12)),(AZSTEP,W(13)),          CWW2   5

     3 (BETA,W(14)),(ELBEG,W(15)),(ELEND,W(16)),(ELSTEP,W(17)),         CWW2   6

     8 (RCVRH,W(20)),                                                   CWW2   7

     4 (ONLY,W(21)),(HOP,W(22)),(MAXSTP,W(23)),(PLAT,W(24)),(PLON,W(25))CWW2   8

     5,(HMAX,W(26)),(RAYFNC,W(29)),(EXTINC,W(33)),                      CWW2   9

     6 (HMIN,W(27)),(RGMAX,W(28)),                                      CWW2  10

     8 (INTYP,W(41)),(MAXERR,W(42)),(ERATIO,W(43)),                     CWW2  11

     6 (STEP1,W(44)),(STPMAX,W(45)),(STPMIN,W(46)),(FACTR,W(47)),       CWW2  12

     7 (SKIP,W(71)),(RAYSET,W(72)),(PRTSRP,W(74)),(HITLET,W(75))        CWW2  13

     9 ,(BINRAY,W(76)),(PAGLN,W(77)),(PLT,W(81)),(PFACTR,W(82)),        CWW2  14

     1 (LLAT,W(83)),(LLON,W(84)),(RLAT,W(85)),(RLON,W(86))              CWW2  15

     2,(TIC,W(87)),(HB,W(88)),(HT,W(89)),(TICV,W(96))                   CWW2  16

      REAL*8 MMODEL,MFORM,MID                                           CWW3   2

C                                                                       CWW3   3

C     WIND        100-124                                               CWW3   4

      EQUIVALENCE (W(100),UMODEL),(W(101),UFORM),(W(102),UID)           CWW3   5

C                                                                       CWW3   6

C     DELTA WIND        125-149                                         CWW3   7

      EQUIVALENCE (W(125),DUMODEL),(W(126),DUFORM),(W(127),DUID)        CWW3   8

C                                                                       CWW3   9

C     SOUND SPEED 150-174                                               CWW3  10

      EQUIVALENCE (W(150),CMODEL),(W(151),CFORM),(W(152),CID)           CWW3  11

      EQUIVALENCE (W(153),REFC)                                         CWW3  12

C                                                                       CWW3  13

C     DELTA SOUND SPEED 175-199                                         CWW3  14

      EQUIVALENCE (W(175),DCMODEL),(W(176),DCFORM),(W(177),DCID)        CWW3  15

C                                                                       CWW3  16

C     TEMPERATURE    200-224                                            CWW3  17

      EQUIVALENCE (W(200),TMODEL),(W(201),TFORM),(W(202),TID)           CWW3  18

C                                                                       CWW3  19

C     DELTA TEMPERATURE    225-249                                      CWW3  20

      EQUIVALENCE (W(225),DTMODEL),(W(226),DTFORM),(W(227),DTID)        CWW3  21

C                                                                       CWW3  22

C     MOLECULAR   250-274                                               CWW3  23

      EQUIVALENCE (W(250),MMODEL),(W(251),MFORM),(W(252),MID)           CWW3  24

C                                                                       CWW3  25

C     RECEIVER HEIGHT   275-299                                         CWW3  26

      EQUIVALENCE (W(275),RMODEL),(W(276),RFORM),(W(277),RID)           CWW3  27

C                                                                       CWW3  28

C     TOPOGRAPHY   300-324                                              CWW3  29

      EQUIVALENCE (W(300),GMODEL),(W(301),GFORM),(W(302),GID)           CWW3  30

C                                                                       CWW3  31

C     DELTA TOPOGRAPHY   325-349                                        CWW3  32

      EQUIVALENCE (W(325),GUMODEL),(W(326),GUFORM),(W(327),GUID)        CWW3  33

C                                                                       CWW3  34

C     UPPER SURFACE TOPOGRAPHY   350-374                                CWW3  35

      EQUIVALENCE (W(350),SMODEL),(W(351),SFORM),(W(352),SID)           CWW3  36

C     PLOT ENHANCEMENTS CONTROL PARAMETERS                              CWW3  37

C                                                                       CWW3  38

      EQUIVALENCE (W(490),XFQMDL),(W(491),YFQMDL)                       CWW3  39

C     ABSORPTION        500-524                                         CWW3  40

      EQUIVALENCE (W(500),AMODEL),(W(501),AFORM),(W(502),AID)           CWW3  41

C                                                                       CWW3  42

C     DELTA ABSORPTION        525-549                                   CWW3  43

      EQUIVALENCE (W(525),DAMODEL),(W(526),DAFORM),(W(527),DAID)        CWW3  44

C                                                                       CWW3  45

C     PRESSURE        550-574                                           CWW3  46

      EQUIVALENCE (W(550),PMODEL),(W(551),PFORM),(W(552),PID)           CWW3  47

C                                                                       CWW3  48

C     DELTA PRESSURE        575-599                                     CWW3  49

      EQUIVALENCE (W(575),DPMODEL),(W(576),DPFORM),(W(577),DPID)        CWW3  50

C                                                                       CWW3  51

C     COMMON DECK "AA" INSERTED HERE                                    CAA    2

      real*8 moda

c     REAL MODA                                                         CAA    4

      REAL*8 MU,MUPT,MUPR,MUPTH,MUPPH                                   CAA    5

      REAL*8 KAP,KAPPT,KAPPR,KAPPTH,KAPPPH                              CAA    6

      COMMON/AA/MODA(4),MU,MUPT,MUPR,MUPTH,MUPPH                        CAA    7

      COMMON/AA/KAP,KAPPT,KAPPR,KAPPTH,KAPPPH                           CAA    8

C                                                                       NPABSR12

C     COMMON DECK "CB18" INSERTED HERE                                  CB18   2

      real*8 dvgp,andv

      INTEGER DVMX,DVNTBL,DVITBL,DVFRMTB,IDSDV(20)                      CB18   4

      COMMON/B18/DVMX,DVNTBL(10),DVITBL(10),DVFRMTB(10),DVGP(11)        CB18   5

      EQUIVALENCE (DVGP,IDSDV),(ANDV,DVGP(11))                          CB18   6

C                                                                       NPABSR14

C                                                                       NPABSR17

      DATA RECOGDA/0.0/                                                 NPABSR18

C                                                                       NPABSR19

      ENTRY IPABSRP                                                     NPABSR20

      IF(RECOGDA .NE. DAMODEL)                                          NPABSR21

     1    CALL RERROR('DABSRP ','WRNG MODEL',RECOGDA)                   NPABSR22

      MODA(3)=6HNPABSR                                                  NPABSR23

      MODA(4)=DAID                                                      NPABSR24

      RETURN                                                            NPABSR25

C                                                                       NPABSR26

      ENTRY PABSRP                                                      NPABSR27

      RETURN                                                            NPABSR28

      END                                                               NPABSR29











      SUBROUTINE PEXP                                                   PEXP   8

c

      implicit real*8 (a-h,o-z)

c

C                                                                       PEXP   9

C     SCALE HEIGHT PRESSURE MODEL                                       PEXP  10

C                                                                       PEXP  11

C     COMMON DECK "WW" INSERTED HERE                                    CWW    2

      PARAMETER (NWARSZ=1000)                                           CWW1   3

      real*8 id

      COMMON/WW/ID(10),MAXW,W(NWARSZ)                                   CWW1   4

      REAL*8 MAXSTP,MAXERR,INTYP,LLAT,LLON                              CWW2   2

      EQUIVALENCE (EARTHR,W(1)),(RAY,W(2)),(XMTRH,W(3)),(TLAT,W(4)),    CWW2   3

     1 (TLON,W(5)),(OW,W(6)),(FBEG,W(7)),(FEND,W(8)),(FSTEP,W(9)),      CWW2   4

     2 (AZ1,W(10)),(AZBEG,W(11)),(AZEND,W(12)),(AZSTEP,W(13)),          CWW2   5

     3 (BETA,W(14)),(ELBEG,W(15)),(ELEND,W(16)),(ELSTEP,W(17)),         CWW2   6

     8 (RCVRH,W(20)),                                                   CWW2   7

     4 (ONLY,W(21)),(HOP,W(22)),(MAXSTP,W(23)),(PLAT,W(24)),(PLON,W(25))CWW2   8

     5,(HMAX,W(26)),(RAYFNC,W(29)),(EXTINC,W(33)),                      CWW2   9

     6 (HMIN,W(27)),(RGMAX,W(28)),                                      CWW2  10

     8 (INTYP,W(41)),(MAXERR,W(42)),(ERATIO,W(43)),                     CWW2  11

     6 (STEP1,W(44)),(STPMAX,W(45)),(STPMIN,W(46)),(FACTR,W(47)),       CWW2  12

     7 (SKIP,W(71)),(RAYSET,W(72)),(PRTSRP,W(74)),(HITLET,W(75))        CWW2  13

     9 ,(BINRAY,W(76)),(PAGLN,W(77)),(PLT,W(81)),(PFACTR,W(82)),        CWW2  14

     1 (LLAT,W(83)),(LLON,W(84)),(RLAT,W(85)),(RLON,W(86))              CWW2  15

     2,(TIC,W(87)),(HB,W(88)),(HT,W(89)),(TICV,W(96))                   CWW2  16

      REAL*8 MMODEL,MFORM,MID                                           CWW3   2

C                                                                       CWW3   3

C     WIND        100-124                                               CWW3   4

      EQUIVALENCE (W(100),UMODEL),(W(101),UFORM),(W(102),UID)           CWW3   5

C                                                                       CWW3   6

C     DELTA WIND        125-149                                         CWW3   7

      EQUIVALENCE (W(125),DUMODEL),(W(126),DUFORM),(W(127),DUID)        CWW3   8

C                                                                       CWW3   9

C     SOUND SPEED 150-174                                               CWW3  10

      EQUIVALENCE (W(150),CMODEL),(W(151),CFORM),(W(152),CID)           CWW3  11

      EQUIVALENCE (W(153),REFC)                                         CWW3  12

C                                                                       CWW3  13

C     DELTA SOUND SPEED 175-199                                         CWW3  14

      EQUIVALENCE (W(175),DCMODEL),(W(176),DCFORM),(W(177),DCID)        CWW3  15

C                                                                       CWW3  16

C     TEMPERATURE    200-224                                            CWW3  17

      EQUIVALENCE (W(200),TMODEL),(W(201),TFORM),(W(202),TID)           CWW3  18

C                                                                       CWW3  19

C     DELTA TEMPERATURE    225-249                                      CWW3  20

      EQUIVALENCE (W(225),DTMODEL),(W(226),DTFORM),(W(227),DTID)        CWW3  21

C                                                                       CWW3  22

C     MOLECULAR   250-274                                               CWW3  23

      EQUIVALENCE (W(250),MMODEL),(W(251),MFORM),(W(252),MID)           CWW3  24

C                                                                       CWW3  25

C     RECEIVER HEIGHT   275-299                                         CWW3  26

      EQUIVALENCE (W(275),RMODEL),(W(276),RFORM),(W(277),RID)           CWW3  27

C                                                                       CWW3  28

C     TOPOGRAPHY   300-324                                              CWW3  29

      EQUIVALENCE (W(300),GMODEL),(W(301),GFORM),(W(302),GID)           CWW3  30

C                                                                       CWW3  31

C     DELTA TOPOGRAPHY   325-349                                        CWW3  32

      EQUIVALENCE (W(325),GUMODEL),(W(326),GUFORM),(W(327),GUID)        CWW3  33

C                                                                       CWW3  34

C     UPPER SURFACE TOPOGRAPHY   350-374                                CWW3  35

      EQUIVALENCE (W(350),SMODEL),(W(351),SFORM),(W(352),SID)           CWW3  36

C     PLOT ENHANCEMENTS CONTROL PARAMETERS                              CWW3  37

C                                                                       CWW3  38

      EQUIVALENCE (W(490),XFQMDL),(W(491),YFQMDL)                       CWW3  39

C     ABSORPTION        500-524                                         CWW3  40

      EQUIVALENCE (W(500),AMODEL),(W(501),AFORM),(W(502),AID)           CWW3  41

C                                                                       CWW3  42

C     DELTA ABSORPTION        525-549                                   CWW3  43

      EQUIVALENCE (W(525),DAMODEL),(W(526),DAFORM),(W(527),DAID)        CWW3  44

C                                                                       CWW3  45

C     PRESSURE        550-574                                           CWW3  46

      EQUIVALENCE (W(550),PMODEL),(W(551),PFORM),(W(552),PID)           CWW3  47

C                                                                       CWW3  48

C     DELTA PRESSURE        575-599                                     CWW3  49

      EQUIVALENCE (W(575),DPMODEL),(W(576),DPFORM),(W(577),DPID)        CWW3  50

C                                                                       CWW3  51

C     COMMON DECK "RKAM" INSERTED HERE                                  RKAMCOM2

      REAL*8 KR,KTH,KPH                                                 RKAMCOM4

      COMMON//R,TH,PH,KR,KTH,KPH,RKVARS(14),TPULSE,CSTEP,DRDT(20)       RKAMCOM5

C     COMMON DECK "CONST" INSERTED HERE                                 CCONST 2

      COMMON/PCONST/CREF,RGAS,GAMMA                                     CCONST 4

      COMMON/MCONST/PI,PIT2,PID2,DEGS,RAD,ALN10                         CCONST 5

C     COMMON DECK "PP" INSERTED HERE                                    CPP    2

      real*8 modp

c     REAL MODP                                                         CPP    4

      COMMON/PP/MODP(4),P,PPT,PPR,PPTH,PPPH                             CPP    5

C     COMMON DECK "TT" INSERTED HERE                                    CTT    2

      real*8 modt

c     REAL MODT                                                         CTT    4

      COMMON/TT/MODT(4), T,PTT,PTR,PTTH,PTPH                            CTT    5

C     COMMON DECK "MM" INSERTED HERE                                    CMM    2

      REAL*8 M,MODM                                                     CMM    4

      COMMON/MM/MODM(4),M,PMT,PMR,PMTH,PMPH                             CMM    5

C                                                                       PEXP  18

      EQUIVALENCE (W(553),P0),(W(554),HSCALE)                           PEXP  19

C                                                                       PEXP  20

C     COMMON DECK "CB19" INSERTED HERE                                  CB19   2

      real*8 prgp,anp

      INTEGER PRMX,PRNTBL,PRITBL,PRFRMTB,IDSPR(10)                      CB19   4

      COMMON/B19/PRMX,PRNTBL(10),PRITBL(10),PRFRMTB(10),PRGP(11)        CB19   5

      EQUIVALENCE (PRGP,IDSPR),(ANP,PRGP(11))                           CB19   6

C                                                                       PEXP  22

      DATA RECOGP/1.0/                                                  PEXP  25

C                                                                       PEXP  26

      ENTRY IPRES                                                       PEXP  27

      IF(RECOGP .NE. PMODEL)                                            PEXP  28

     1    CALL RERROR('PRESUR ','WRNG MODEL',RECOGP)                    PEXP  29

      MODP(1)=4HPEXP                                                    PEXP  30

      MODP(2)=PID                                                       PEXP  31

      CALL IPPRES                                                       PEXP  32

      RETURN                                                            PEXP  33

C                                                                       PEXP  34

      ENTRY PRES                                                        PEXP  35

      Z=R-EARTHR                                                        PEXP  36

      EX=-Z/HSCALE                                                      PEXP  37

      P=P0*DEXP(EX)                                                     PEXP  38

      PPT=0.0                                                           PEXP  39

      PPR=P*EX/Z                                                        PEXP  40

      PPTH=0.0                                                          PEXP  41

      PPPH=0.0                                                          PEXP  42

      CALL PPRES                                                        PEXP  43

      RETURN                                                            PEXP  44

      END                                                               PEXP  45











      SUBROUTINE NPPRES                                                 NPPRES 8

c

      implicit real*8 (a-h,o-z)

c

C     DO-NOTHING PRESSURE PERTURBATION MODEL                            NPPRES 9

C     COMMON DECK "WW" INSERTED HERE                                    CWW    2

      PARAMETER (NWARSZ=1000)                                           CWW1   3

      real*8 id

      COMMON/WW/ID(10),MAXW,W(NWARSZ)                                   CWW1   4

      REAL*8 MAXSTP,MAXERR,INTYP,LLAT,LLON                              CWW2   2

      EQUIVALENCE (EARTHR,W(1)),(RAY,W(2)),(XMTRH,W(3)),(TLAT,W(4)),    CWW2   3

     1 (TLON,W(5)),(OW,W(6)),(FBEG,W(7)),(FEND,W(8)),(FSTEP,W(9)),      CWW2   4

     2 (AZ1,W(10)),(AZBEG,W(11)),(AZEND,W(12)),(AZSTEP,W(13)),          CWW2   5

     3 (BETA,W(14)),(ELBEG,W(15)),(ELEND,W(16)),(ELSTEP,W(17)),         CWW2   6

     8 (RCVRH,W(20)),                                                   CWW2   7

     4 (ONLY,W(21)),(HOP,W(22)),(MAXSTP,W(23)),(PLAT,W(24)),(PLON,W(25))CWW2   8

     5,(HMAX,W(26)),(RAYFNC,W(29)),(EXTINC,W(33)),                      CWW2   9

     6 (HMIN,W(27)),(RGMAX,W(28)),                                      CWW2  10

     8 (INTYP,W(41)),(MAXERR,W(42)),(ERATIO,W(43)),                     CWW2  11

     6 (STEP1,W(44)),(STPMAX,W(45)),(STPMIN,W(46)),(FACTR,W(47)),       CWW2  12

     7 (SKIP,W(71)),(RAYSET,W(72)),(PRTSRP,W(74)),(HITLET,W(75))        CWW2  13

     9 ,(BINRAY,W(76)),(PAGLN,W(77)),(PLT,W(81)),(PFACTR,W(82)),        CWW2  14

     1 (LLAT,W(83)),(LLON,W(84)),(RLAT,W(85)),(RLON,W(86))              CWW2  15

     2,(TIC,W(87)),(HB,W(88)),(HT,W(89)),(TICV,W(96))                   CWW2  16

      REAL*8 MMODEL,MFORM,MID                                           CWW3   2

C                                                                       CWW3   3

C     WIND        100-124                                               CWW3   4

      EQUIVALENCE (W(100),UMODEL),(W(101),UFORM),(W(102),UID)           CWW3   5

C                                                                       CWW3   6

C     DELTA WIND        125-149                                         CWW3   7

      EQUIVALENCE (W(125),DUMODEL),(W(126),DUFORM),(W(127),DUID)        CWW3   8

C                                                                       CWW3   9

C     SOUND SPEED 150-174                                               CWW3  10

      EQUIVALENCE (W(150),CMODEL),(W(151),CFORM),(W(152),CID)           CWW3  11

      EQUIVALENCE (W(153),REFC)                                         CWW3  12

C                                                                       CWW3  13

C     DELTA SOUND SPEED 175-199                                         CWW3  14

      EQUIVALENCE (W(175),DCMODEL),(W(176),DCFORM),(W(177),DCID)        CWW3  15

C                                                                       CWW3  16

C     TEMPERATURE    200-224                                            CWW3  17

      EQUIVALENCE (W(200),TMODEL),(W(201),TFORM),(W(202),TID)           CWW3  18

C                                                                       CWW3  19

C     DELTA TEMPERATURE    225-249                                      CWW3  20

      EQUIVALENCE (W(225),DTMODEL),(W(226),DTFORM),(W(227),DTID)        CWW3  21

C                                                                       CWW3  22

C     MOLECULAR   250-274                                               CWW3  23

      EQUIVALENCE (W(250),MMODEL),(W(251),MFORM),(W(252),MID)           CWW3  24

C                                                                       CWW3  25

C     RECEIVER HEIGHT   275-299                                         CWW3  26

      EQUIVALENCE (W(275),RMODEL),(W(276),RFORM),(W(277),RID)           CWW3  27

C                                                                       CWW3  28

C     TOPOGRAPHY   300-324                                              CWW3  29

      EQUIVALENCE (W(300),GMODEL),(W(301),GFORM),(W(302),GID)           CWW3  30

C                                                                       CWW3  31

C     DELTA TOPOGRAPHY   325-349                                        CWW3  32

      EQUIVALENCE (W(325),GUMODEL),(W(326),GUFORM),(W(327),GUID)        CWW3  33

C                                                                       CWW3  34

C     UPPER SURFACE TOPOGRAPHY   350-374                                CWW3  35

      EQUIVALENCE (W(350),SMODEL),(W(351),SFORM),(W(352),SID)           CWW3  36

C     PLOT ENHANCEMENTS CONTROL PARAMETERS                              CWW3  37

C                                                                       CWW3  38

      EQUIVALENCE (W(490),XFQMDL),(W(491),YFQMDL)                       CWW3  39

C     ABSORPTION        500-524                                         CWW3  40

      EQUIVALENCE (W(500),AMODEL),(W(501),AFORM),(W(502),AID)           CWW3  41

C                                                                       CWW3  42

C     DELTA ABSORPTION        525-549                                   CWW3  43

      EQUIVALENCE (W(525),DAMODEL),(W(526),DAFORM),(W(527),DAID)        CWW3  44

C                                                                       CWW3  45

C     PRESSURE        550-574                                           CWW3  46

      EQUIVALENCE (W(550),PMODEL),(W(551),PFORM),(W(552),PID)           CWW3  47

C                                                                       CWW3  48

C     DELTA PRESSURE        575-599                                     CWW3  49

      EQUIVALENCE (W(575),DPMODEL),(W(576),DPFORM),(W(577),DPID)        CWW3  50

C                                                                       CWW3  51

C     COMMON DECK "PP" INSERTED HERE                                    CPP    2

      real*8 modp

c     REAL MODP                                                         CPP    4

      COMMON/PP/MODP(4),P,PPT,PPR,PPTH,PPPH                             CPP    5

C                                                                       NPPRES12

C     COMMON DECK "CB20" INSERTED HERE                                  CB20   2

      real*8 dpgp,andp

      INTEGER DPMX,DPNTBL,DPITBL,DPFRMTB,IDSDP(20)                      CB20   4

      COMMON/B20/DPMX,DPNTBL(10),DPITBL(10),DPFRMTB(10),DPGP(11)        CB20   5

      EQUIVALENCE (DPGP,IDSDP),(ANDP,DPGP(11))                          CB20   6

C                                                                       NPPRES14

C                                                                       NPPRES17

      DATA RECOGDP/0.0/                                                 NPPRES18

C                                                                       NPPRES19

      ENTRY IPPRES                                                      NPPRES20

      IF(RECOGDP .NE. DPMODEL)                                          NPPRES21

     1    CALL RERROR('DPPRES ','WRNG MODEL',RECOGDP)                   NPPRES22

      MODP(3)=6HNPPRES                                                  NPPRES23

      MODP(4)=DPID                                                      NPPRES24

      RETURN                                                            NPPRES25

C                                                                       NPPRES26

      ENTRY PPRES                                                       NPPRES27

      RETURN                                                            NPPRES28

      END                                                               NPPRES29











      SUBROUTINE RTERR                                                  RTERR  8

c

      implicit real*8 (a-h,o-z)

c

C     RECEIVER MODEL USING FIXED OFFSET TO TERRAIN HEIGHT               RTERR  9

C     COMMON DECK "RKAM" INSERTED HERE                                  RKAMCOM2

      REAL*8 KR,KTH,KPH                                                 RKAMCOM4

      COMMON//R,TH,PH,KR,KTH,KPH,RKVARS(14),TPULSE,CSTEP,DRDT(20)       RKAMCOM5

C     COMMON DECK "WW" INSERTED HERE                                    CWW    2

      PARAMETER (NWARSZ=1000)                                           CWW1   3

      real*8 id

      COMMON/WW/ID(10),MAXW,W(NWARSZ)                                   CWW1   4

      REAL*8 MAXSTP,MAXERR,INTYP,LLAT,LLON                              CWW2   2

      EQUIVALENCE (EARTHR,W(1)),(RAY,W(2)),(XMTRH,W(3)),(TLAT,W(4)),    CWW2   3

     1 (TLON,W(5)),(OW,W(6)),(FBEG,W(7)),(FEND,W(8)),(FSTEP,W(9)),      CWW2   4

     2 (AZ1,W(10)),(AZBEG,W(11)),(AZEND,W(12)),(AZSTEP,W(13)),          CWW2   5

     3 (BETA,W(14)),(ELBEG,W(15)),(ELEND,W(16)),(ELSTEP,W(17)),         CWW2   6

     8 (RCVRH,W(20)),                                                   CWW2   7

     4 (ONLY,W(21)),(HOP,W(22)),(MAXSTP,W(23)),(PLAT,W(24)),(PLON,W(25))CWW2   8

     5,(HMAX,W(26)),(RAYFNC,W(29)),(EXTINC,W(33)),                      CWW2   9

     6 (HMIN,W(27)),(RGMAX,W(28)),                                      CWW2  10

     8 (INTYP,W(41)),(MAXERR,W(42)),(ERATIO,W(43)),                     CWW2  11

     6 (STEP1,W(44)),(STPMAX,W(45)),(STPMIN,W(46)),(FACTR,W(47)),       CWW2  12

     7 (SKIP,W(71)),(RAYSET,W(72)),(PRTSRP,W(74)),(HITLET,W(75))        CWW2  13

     9 ,(BINRAY,W(76)),(PAGLN,W(77)),(PLT,W(81)),(PFACTR,W(82)),        CWW2  14

     1 (LLAT,W(83)),(LLON,W(84)),(RLAT,W(85)),(RLON,W(86))              CWW2  15

     2,(TIC,W(87)),(HB,W(88)),(HT,W(89)),(TICV,W(96))                   CWW2  16

      REAL*8 MMODEL,MFORM,MID                                           CWW3   2

C                                                                       CWW3   3

C     WIND        100-124                                               CWW3   4

      EQUIVALENCE (W(100),UMODEL),(W(101),UFORM),(W(102),UID)           CWW3   5

C                                                                       CWW3   6

C     DELTA WIND        125-149                                         CWW3   7

      EQUIVALENCE (W(125),DUMODEL),(W(126),DUFORM),(W(127),DUID)        CWW3   8

C                                                                       CWW3   9

C     SOUND SPEED 150-174                                               CWW3  10

      EQUIVALENCE (W(150),CMODEL),(W(151),CFORM),(W(152),CID)           CWW3  11

      EQUIVALENCE (W(153),REFC)                                         CWW3  12

C                                                                       CWW3  13

C     DELTA SOUND SPEED 175-199                                         CWW3  14

      EQUIVALENCE (W(175),DCMODEL),(W(176),DCFORM),(W(177),DCID)        CWW3  15

C                                                                       CWW3  16

C     TEMPERATURE    200-224                                            CWW3  17

      EQUIVALENCE (W(200),TMODEL),(W(201),TFORM),(W(202),TID)           CWW3  18

C                                                                       CWW3  19

C     DELTA TEMPERATURE    225-249                                      CWW3  20

      EQUIVALENCE (W(225),DTMODEL),(W(226),DTFORM),(W(227),DTID)        CWW3  21

C                                                                       CWW3  22

C     MOLECULAR   250-274                                               CWW3  23

      EQUIVALENCE (W(250),MMODEL),(W(251),MFORM),(W(252),MID)           CWW3  24

C                                                                       CWW3  25

C     RECEIVER HEIGHT   275-299                                         CWW3  26

      EQUIVALENCE (W(275),RMODEL),(W(276),RFORM),(W(277),RID)           CWW3  27

C                                                                       CWW3  28

C     TOPOGRAPHY   300-324                                              CWW3  29

      EQUIVALENCE (W(300),GMODEL),(W(301),GFORM),(W(302),GID)           CWW3  30

C                                                                       CWW3  31

C     DELTA TOPOGRAPHY   325-349                                        CWW3  32

      EQUIVALENCE (W(325),GUMODEL),(W(326),GUFORM),(W(327),GUID)        CWW3  33

C                                                                       CWW3  34

C     UPPER SURFACE TOPOGRAPHY   350-374                                CWW3  35

      EQUIVALENCE (W(350),SMODEL),(W(351),SFORM),(W(352),SID)           CWW3  36

C     PLOT ENHANCEMENTS CONTROL PARAMETERS                              CWW3  37

C                                                                       CWW3  38

      EQUIVALENCE (W(490),XFQMDL),(W(491),YFQMDL)                       CWW3  39

C     ABSORPTION        500-524                                         CWW3  40

      EQUIVALENCE (W(500),AMODEL),(W(501),AFORM),(W(502),AID)           CWW3  41

C                                                                       CWW3  42

C     DELTA ABSORPTION        525-549                                   CWW3  43

      EQUIVALENCE (W(525),DAMODEL),(W(526),DAFORM),(W(527),DAID)        CWW3  44

C                                                                       CWW3  45

C     PRESSURE        550-574                                           CWW3  46

      EQUIVALENCE (W(550),PMODEL),(W(551),PFORM),(W(552),PID)           CWW3  47

C                                                                       CWW3  48

C     DELTA PRESSURE        575-599                                     CWW3  49

      EQUIVALENCE (W(575),DPMODEL),(W(576),DPFORM),(W(577),DPID)        CWW3  50

C                                                                       CWW3  51

C     COMMON DECK "RR" INSERTED HERE                                    CRR    2

      real*8 modrec

c     REAL MODREC                                                       CRR    4

      COMMON/RR/ MODREC(4)                                              CRR    5

      COMMON/RR/F,PFR,PFRR,PFRTH,PFRPH                                  CRR    6

      COMMON/RR/PFTH,PFPH,PFTHTH,PFPHPH,PFTHPH,FSELECT,FTIME            CRR    7

C     COMMON DECK "GG" INSERTED HERE                                    CGG    2

      real*8 modg

c     REAL MODG                                                         CGG    4

      COMMON/GG/MODG(4)                                                 CGG    5

      COMMON/GG/G,PGR,PGRR,PGRTH,PGRPH                                  CGG    6

      COMMON/GG/PGTH,PGPH,PGTHTH,PGPHPH,PGTHPH,GSELECT,GTIME            CGG    7

C                                                                       RTERR 14

C     COMMON DECK "B8" INSERTED HERE                                    CB10   2

      real*8 rgp

      INTEGER RMX,RNTBL,RITBL,RFRMTBL,IDSR(20)                          CB10   4

      COMMON/B8/RMX,RNTBL(10),RITBL(10),RFRMTBL(10),RGP(10)             CB10   5

      EQUIVALENCE (RGP,IDSR)                                            CB10   6

c

      real*8 gtoo(12)

      equivalence (gtoo(1),g)

c

C                                                                       RTERR 16

C                                                                       RTERR 19

      DATA RECORR/2.0/                                                  RTERR 20

C                                                                       RTERR 21

      ENTRY IRECVR                                                      RTERR 22

C                                                                       RTERR 23

      IF(RECORR .NE. RMODEL)                                            RTERR 24

     1    CALL RERROR('RECEIVR','WRNG MODEL',RECORR)                    RTERR 25

      MODREC(1)=5HRTERR                                                 RTERR 26

      MODREC(2)=RID                                                     RTERR 27

      RETURN                                                            RTERR 28

C                                                                       RTERR 29

      ENTRY RECEVER                                                     RTERR 30

C     GET CURRENT TERRAIN HEIGHT(MUST USE GET1 TO AVOID RECURSION       RTERR 31

C     SINCE WE ARE PROBABLY BEING CALLED BY GET RIGHT NOW)              RTERR 32

      F=GET1(gtoo)-W(20)                                                RTERR 33

      CALL RMOVE(PFR,PGR,9)                                             RTERR 34

      END                                                               RTERR 35











      SUBROUTINE NSURF                                                  NSURF  8

c

      implicit real*8 (a-h,o-z)

c

C     COMMON DECK "SS" INSERTED HERE                                    CSS    2

      real*8 modsurf

c     REAL MODSURF                                                      CSS    4

      COMMON/SS/ MODSURF(4)                                             CSS    5

      COMMON/SS/U,PUR,PURR,PURTH,PURPH                                  CSS    6

      COMMON/SS/PUTH,PUPH,PUTHTH,PUPHPH,PUTHPH,USELECT,UTIME            CSS    7

C     COMMON DECK "WW" INSERTED HERE                                    CWW    2

      PARAMETER (NWARSZ=1000)                                           CWW1   3

      real*8 id

      COMMON/WW/ID(10),MAXW,W(NWARSZ)                                   CWW1   4

      REAL*8 MAXSTP,MAXERR,INTYP,LLAT,LLON                              CWW2   2

      EQUIVALENCE (EARTHR,W(1)),(RAY,W(2)),(XMTRH,W(3)),(TLAT,W(4)),    CWW2   3

     1 (TLON,W(5)),(OW,W(6)),(FBEG,W(7)),(FEND,W(8)),(FSTEP,W(9)),      CWW2   4

     2 (AZ1,W(10)),(AZBEG,W(11)),(AZEND,W(12)),(AZSTEP,W(13)),          CWW2   5

     3 (BETA,W(14)),(ELBEG,W(15)),(ELEND,W(16)),(ELSTEP,W(17)),         CWW2   6

     8 (RCVRH,W(20)),                                                   CWW2   7

     4 (ONLY,W(21)),(HOP,W(22)),(MAXSTP,W(23)),(PLAT,W(24)),(PLON,W(25))CWW2   8

     5,(HMAX,W(26)),(RAYFNC,W(29)),(EXTINC,W(33)),                      CWW2   9

     6 (HMIN,W(27)),(RGMAX,W(28)),                                      CWW2  10

     8 (INTYP,W(41)),(MAXERR,W(42)),(ERATIO,W(43)),                     CWW2  11

     6 (STEP1,W(44)),(STPMAX,W(45)),(STPMIN,W(46)),(FACTR,W(47)),       CWW2  12

     7 (SKIP,W(71)),(RAYSET,W(72)),(PRTSRP,W(74)),(HITLET,W(75))        CWW2  13

     9 ,(BINRAY,W(76)),(PAGLN,W(77)),(PLT,W(81)),(PFACTR,W(82)),        CWW2  14

     1 (LLAT,W(83)),(LLON,W(84)),(RLAT,W(85)),(RLON,W(86))              CWW2  15

     2,(TIC,W(87)),(HB,W(88)),(HT,W(89)),(TICV,W(96))                   CWW2  16

      REAL*8 MMODEL,MFORM,MID                                           CWW3   2

C                                                                       CWW3   3

C     WIND        100-124                                               CWW3   4

      EQUIVALENCE (W(100),UMODEL),(W(101),UFORM),(W(102),UID)           CWW3   5

C                                                                       CWW3   6

C     DELTA WIND        125-149                                         CWW3   7

      EQUIVALENCE (W(125),DUMODEL),(W(126),DUFORM),(W(127),DUID)        CWW3   8

C                                                                       CWW3   9

C     SOUND SPEED 150-174                                               CWW3  10

      EQUIVALENCE (W(150),CMODEL),(W(151),CFORM),(W(152),CID)           CWW3  11

      EQUIVALENCE (W(153),REFC)                                         CWW3  12

C                                                                       CWW3  13

C     DELTA SOUND SPEED 175-199                                         CWW3  14

      EQUIVALENCE (W(175),DCMODEL),(W(176),DCFORM),(W(177),DCID)        CWW3  15

C                                                                       CWW3  16

C     TEMPERATURE    200-224                                            CWW3  17

      EQUIVALENCE (W(200),TMODEL),(W(201),TFORM),(W(202),TID)           CWW3  18

C                                                                       CWW3  19

C     DELTA TEMPERATURE    225-249                                      CWW3  20

      EQUIVALENCE (W(225),DTMODEL),(W(226),DTFORM),(W(227),DTID)        CWW3  21

C                                                                       CWW3  22

C     MOLECULAR   250-274                                               CWW3  23

      EQUIVALENCE (W(250),MMODEL),(W(251),MFORM),(W(252),MID)           CWW3  24

C                                                                       CWW3  25

C     RECEIVER HEIGHT   275-299                                         CWW3  26

      EQUIVALENCE (W(275),RMODEL),(W(276),RFORM),(W(277),RID)           CWW3  27

C                                                                       CWW3  28

C     TOPOGRAPHY   300-324                                              CWW3  29

      EQUIVALENCE (W(300),GMODEL),(W(301),GFORM),(W(302),GID)           CWW3  30

C                                                                       CWW3  31

C     DELTA TOPOGRAPHY   325-349                                        CWW3  32

      EQUIVALENCE (W(325),GUMODEL),(W(326),GUFORM),(W(327),GUID)        CWW3  33

C                                                                       CWW3  34

C     UPPER SURFACE TOPOGRAPHY   350-374                                CWW3  35

      EQUIVALENCE (W(350),SMODEL),(W(351),SFORM),(W(352),SID)           CWW3  36

C     PLOT ENHANCEMENTS CONTROL PARAMETERS                              CWW3  37

C                                                                       CWW3  38

      EQUIVALENCE (W(490),XFQMDL),(W(491),YFQMDL)                       CWW3  39

C     ABSORPTION        500-524                                         CWW3  40

      EQUIVALENCE (W(500),AMODEL),(W(501),AFORM),(W(502),AID)           CWW3  41

C                                                                       CWW3  42

C     DELTA ABSORPTION        525-549                                   CWW3  43

      EQUIVALENCE (W(525),DAMODEL),(W(526),DAFORM),(W(527),DAID)        CWW3  44

C                                                                       CWW3  45

C     PRESSURE        550-574                                           CWW3  46

      EQUIVALENCE (W(550),PMODEL),(W(551),PFORM),(W(552),PID)           CWW3  47

C                                                                       CWW3  48

C     DELTA PRESSURE        575-599                                     CWW3  49

      EQUIVALENCE (W(575),DPMODEL),(W(576),DPFORM),(W(577),DPID)        CWW3  50

C                                                                       CWW3  51

C                                                                       NSURF 11

C                                                                       NSURF 12

C     COMMON DECK "CB21" INSERTED HERE                                  CB21   2

      real*8 sgp,ans

      INTEGER SMX,SNTBL,SITBL,SFRMTBL,IDSS(10)                          CB21   4

      COMMON/B21/SMX,SNTBL(10),SITBL(10),SFRMTBL(10),SGP(11)            CB21   5

      EQUIVALENCE (SGP,IDSS),(ANS,SGP(11))                              CB21   6

C                                                                       NSURF 14

C                                                                       NSURF 17

      DATA RECOSS/0.0/                                                  NSURF 18

C                                                                       NSURF 19

      ENTRY ISURFAC                                                     NSURF 20

C                                                                       NSURF 21

C                                                                       NSURF 22

      MODSURF(1)=5HNSURF                                                NSURF 23

      MODSURF(2)=0                                                      NSURF 24

      RETURN                                                            NSURF 25

C                                                                       NSURF 26

      ENTRY SURFACE                                                     NSURF 27

      U=1.                                                              NSURF 28

      CALL CLEAR(PUR,9)                                                 NSURF 29

      END                                                               NSURF 30   





                                                                                

                                                                                

      SUBROUTINE SMPANN                                                 SMPANN 9

c

      implicit real*8 (a-h,o-z)

c

C     ANNOTATION MODEL FOR MINIMUM GRAPHICS SUPPORT                     SMPANN10

C                                                                       SMPANN11

      CHARACTER*(*) S,C                                                 SMPANN12

C                                                                       SMPANN13

C     INITIALIZES PLOT IN DRAFT MODE(DOES NOT REQUIRE DISSPLA)          SMPANN14

C                                                                       SMPANN15

C     COMMON DECK "WWR" INSERTED HERE                                   CWWR   2

      PARAMETER (NWARSZ=1000)                                           CWW1   3

      real*8 id

      COMMON/WW/ID(10),MAXW,W(NWARSZ)                                   CWW1   4

      REAL*8 MAXSTP,MAXERR,INTYP,LLAT,LLON                              CWW2   2

      EQUIVALENCE (EARTHR,W(1)),(RAY,W(2)),(XMTRH,W(3)),(TLAT,W(4)),    CWW2   3

     1 (TLON,W(5)),(OW,W(6)),(FBEG,W(7)),(FEND,W(8)),(FSTEP,W(9)),      CWW2   4

     2 (AZ1,W(10)),(AZBEG,W(11)),(AZEND,W(12)),(AZSTEP,W(13)),          CWW2   5

     3 (BETA,W(14)),(ELBEG,W(15)),(ELEND,W(16)),(ELSTEP,W(17)),         CWW2   6

     8 (RCVRH,W(20)),                                                   CWW2   7

     4 (ONLY,W(21)),(HOP,W(22)),(MAXSTP,W(23)),(PLAT,W(24)),(PLON,W(25))CWW2   8

     5,(HMAX,W(26)),(RAYFNC,W(29)),(EXTINC,W(33)),                      CWW2   9

     6 (HMIN,W(27)),(RGMAX,W(28)),                                      CWW2  10

     8 (INTYP,W(41)),(MAXERR,W(42)),(ERATIO,W(43)),                     CWW2  11

     6 (STEP1,W(44)),(STPMAX,W(45)),(STPMIN,W(46)),(FACTR,W(47)),       CWW2  12

     7 (SKIP,W(71)),(RAYSET,W(72)),(PRTSRP,W(74)),(HITLET,W(75))        CWW2  13

     9 ,(BINRAY,W(76)),(PAGLN,W(77)),(PLT,W(81)),(PFACTR,W(82)),        CWW2  14

     1 (LLAT,W(83)),(LLON,W(84)),(RLAT,W(85)),(RLON,W(86))              CWW2  15

     2,(TIC,W(87)),(HB,W(88)),(HT,W(89)),(TICV,W(96))                   CWW2  16

C     COMMON DECK "ANNOT" INSERTED HERE                                 ANNOT  2

      CHARACTER*10 ANOTES,HNOTES                                        ANNOT  4

      COMMON/ANNCTL/LENA(4),LENHA(3)                                    ANNOT  5

      COMMON/ANNCTC/ANOTES(2,4),HNOTES(4,3)                             ANNOT  6

C                                                                       SMPANN18

c     DATA LENA,ANOTES                                                  SANNBL 2

c    1  /2*1,2*2,'DEPTH (M)',' ','DEPTH (KM)',' ',                      SANNBL 3

c    2 'HEIGHT (M)',' ','HEIGHT (KM',')'/                               SANNBL 4

C                                                                       SANNBL 5

c     DATA LENHA,HNOTES                                                 SANNBL 6

c    1  /3,2,3, 'RANGE AT S','EA LEVEL (','KM)',' '                     SANNBL 7

c    2       ,'RANGE (DEG',')',2*' '                                    SANNBL 8

c    3       ,'CROSS RANG','E AT SEA L','EVEL (KM)',' '/                SANNBL 9

C                                                                       SMPANN21

      ENTRY SETANN                                                      SMPANN22

C                                                                       SMPANN23

      RETURN                                                            SMPANN24

C                                                                       SMPANN25

      ENTRY ANNFIL(S,C)                                                 SMPANN26

      CALL SFILTR(S,C,'#!')                                             SMPANN27

      END                                                               SMPANN28

                                                                                









